## cmake-trinity 3.5.13.3~pre130

=== CMakeLists.txt ===
#################################################
#
#  (C) 2021 Slávek Banko
#  slavek.banko (at) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

## Process only if it is built as a standalone package
if( "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}" )

##### general package setup #####################

  cmake_minimum_required( VERSION 2.8.12 )
  project( tde-cmake-rules )


##### install TDE CMake files ###################

  file( GLOB_RECURSE _modules
        RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}/modules/* )
  install( FILES ${_modules} DESTINATION ${CMAKE_ROOT}/Modules )

  file( GLOB_RECURSE _templates
        RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}/templates/* )
  install( FILES ${_templates} DESTINATION ${CMAKE_ROOT}/Templates )

endif()

=== debian/changelog ===
cmake-trinity (4:3.5.13.3~pre130-0debian7.0.0+2) wheezy; urgency=low

  * Automated git build for aafc7636e16efab61cedfcfa027d2b5b2bc258d5

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 20 Jul 2021 16:20:29 +0200

cmake-trinity (4:3.5.13.3~pre-0debian10.0.0+0) buster; urgency=low

  * Initial release as a standalone package.

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 14 May 2021 12:50:36 +0200

=== debian/control ===
Source: cmake-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake
Standards-Version: 3.8.4

Package: cmake-trinity
Architecture: all
Depends: cmake (>= ${CMake-Version2}~), cmake (<< ${CMake-Next-Version2}~), perl-base, libxml-parser-perl
Description: TDE CMake modules
 TDE uses its own set of modules and macros to simplify CMake rules.
 .
 This also includes the TDEL10n module that is used to generate and
 update templates for translations and the modified version of
 intltool-merge used to merge translations into desktop files.

## cmake-trinity 3.5.13.3~pre139

=== debian/changelog ===
cmake-trinity (4:3.5.13.3~pre139-0ubuntu20.04.0+3) focal; urgency=low

  * Automated git build for 2a496fc80d844771fd47c0b8542f77854680ff0a

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 19 Jun 2022 17:34:44 +0200

## cmake-trinity 14.0.11

=== debian/changelog ===
cmake-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#cmake

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 20 Jul 2021 16:20:24 +0200

cmake-trinity (4:14.0.11~pre-0debian10.0.0+0) buster; urgency=low

  * Initial release as a standalone package.

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 14 May 2021 12:50:36 +0200

## cmake-trinity 14.0.12

=== debian/changelog ===
cmake-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#cmake

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Jan 2022 09:38:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake (>= 3.1~)
 Standards-Version: 3.8.4
 
 Package: cmake-trinity

## cmake-trinity 14.0.13

=== debian/changelog ===
cmake-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#cmake

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 04 Oct 2022 01:48:19 +0200
